#### PyKDE - Python Bindings for KDE

# class KDataTool |
Table of contents
Modules
tdeio Classes
All Classes

Module | tdeio
Class | KDataTool (abstract)
Inherits | TQObject

### methods

- KDataTool (parent = 0, name = 0)

  returns a KDataTool instance
  Argument | Type | Default
  --- | --- | ---
  parent | TQObject | 0
  name | char | 0

- instance ()

  returns (TDEInstance)

- run (command, data, datatype, mimetype) = 0

  returns (bool)
  pure virtual
  Argument | Type | Default
  --- | --- | ---
  command | TQString |
  data | void |
  datatype | TQString |
  mimetype | TQString |

- setInstance (instance)

  returns nothing
  Argument | Type | Default
  --- | --- | ---
  instance | TDEInstance |